package com.ruoyi.web.yh.report.domain;

import com.ruoyi.web.yh.reportProd.domain.ReportProdVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author wjh
 * 2024/10/18
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ReportVO extends Report {

    @ApiModelProperty("部门名称")
    private String deptName;

    @ApiModelProperty("产量明细")
    List<ReportProdVO> productList;
}
