package com.ruoyi.web.yh.reportProd.domain;

import java.math.BigDecimal;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 报表产量对象 bst_report_prod
 *
 * @author ruoyi
 * @date 2024-10-31
 */
@Data
public class ReportProd extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "报表ID")
    @ApiModelProperty("报表ID")
    private Long reportId;

    @Excel(name = "工序ID")
    @ApiModelProperty("工序ID")
    private Long priceId;

    @Excel(name = "工序完成数量")
    @ApiModelProperty("工序完成数量")
    private BigDecimal num;

    @Excel(name = "工序类别")
    @ApiModelProperty("工序类别")
    private String priceCategory;

    @Excel(name = "工序大小")
    @ApiModelProperty("工序大小")
    private String priceSize;

    @Excel(name = "工序名称")
    @ApiModelProperty("工序名称")
    private String priceName;

    @Excel(name = "子工序名称")
    @ApiModelProperty("子工序名称")
    private String priceSubName;

    @Excel(name = "工序图案")
    @ApiModelProperty("工序图案")
    private String pricePattern;

    @Excel(name = "工序规格")
    @ApiModelProperty("工序规格")
    private String priceSpec;

    @Excel(name = "工序单价(元)")
    @ApiModelProperty("工序单价(元)")
    private BigDecimal pricePrice;

    @Excel(name = "工序单位")
    @ApiModelProperty("工序单位")
    private String priceUnit;

    @Excel(name = "工序分类")
    @ApiModelProperty("工序分类")
    private String priceClassify;

    @Excel(name = "工序生产数量倍数(个)")
    @ApiModelProperty("工序生产数量倍数(个)")
    private BigDecimal priceQuantity;

}
